summaryrefslogtreecommitdiffstats
path: root/source/l/eigen2/eigen2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/eigen2/eigen2.SlackBuild')
-rwxr-xr-xsource/l/eigen2/eigen2.SlackBuild14
1 files changed, 7 insertions, 7 deletions
diff --git a/source/l/eigen2/eigen2.SlackBuild b/source/l/eigen2/eigen2.SlackBuild
index 474e5ae91..a645425c9 100755
--- a/source/l/eigen2/eigen2.SlackBuild
+++ b/source/l/eigen2/eigen2.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2007, 2008 Robby Workman, Northport, Alabama, USA
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
# Redistribution and use of this script, with or without modification, is
@@ -22,13 +22,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=2.0.10
+VERSION=2.0.17
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -39,8 +39,8 @@ CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-eigen2
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -56,9 +56,9 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP || exit 1
-rm -rf eigen-$VERSION
+rm -rf eigen-eigen-*
tar xvf $CWD/eigen2-$VERSION.tar.?z* || exit 1
-cd eigen || exit 1
+cd eigen-eigen-* || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \